#----------------------------------------------------------
#Function for the event procedure
#----------------------------------------------------------
$invader_list_x = []
$invader_list_y = []
$fence_list_x = []
$fence_list_y = []
$invader_missile_list_x = []
$invader_missile_list_y = []
$my_missile_list_x = []
$my_missile_list_y = []
$my_base_x = 0
$my_base_y = 0

def startep(object)
  $my_base_x = 195
  $my_base_y = 320
  $invader_list_x.clear
  $invader_list_y.clear
  $fence_list_x.clear
  $fence_list_y.clear
  $invader_missile_list_x.clear
  $invader_missile_list_y.clear
  $my_missile_list_x.clear
  $my_missile_list_y.clear

  20.times { |i|
    5.times { |j|
      $invader_list_x.push(50 + i * 15)
      $invader_list_y.push(50 + j * 15)
    }
  }

  20.times { |i|
    4.times { |j|
      $fence_list_x.push(50 + i * 15)
      $fence_list_y.push(280 + j * 5)
    }
  }

  $newvtim_001.setProperty("running", Mpfc::True)
end
